%define	module	Date-Calc
%define	version	5.5.1
%define	release	%mkrel 8
%define	pdir	Date

Summary: 	Gregorian calendar date calculations
Name: 		perl-%{module}
Version: 	%{version}
Release:	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-devel
# these versioned requires are expressed in Makefile.PL, but not in module
BuildRequires:	perl(Bit::Vector) >= 6.4
BuildRequires:	perl(Carp::Clan) >= 5.3
Requires:	perl-Bit-Vector >= 6.4
Requires:	perl-Carp-Clan >= 5.3

%description
This library provides all sorts of date calculations based on the Gregorian
calendar (the one used in all western countries today), thereby complying
with all relevant norms and standards: ISO/R 2015-1971, DIN 1355 and, to
some extent, ISO 8601 (where applicable).

%prep
%setup -q -n %{module}-%{version}
chmod -R u+w examples

%build
%{__perl} -pi -e 's,^#!perl,#!/usr/bin/perl,' examples/*.{pl,cgi}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}  CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README.txt CHANGES.txt CREDITS.txt EXAMPLES.txt examples
%{_mandir}/man3/*
%{perl_vendorarch}/Date
%{perl_vendorarch}/auto/Date



%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.5.1-8mdv2008.1
+ Revision: 152050
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 5.5.1-7mdv2008.0
+ Revision: 23415
- 5.5.1


* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 5.4-6mdk
- Remove mdkversion conditional surrounding BuildRequires perl-devel.
  (Needed for arch specific perl packages.)

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 5.4-5mdk
- Update BuildRequires and package file ownership to comply with Mandriva
  perl packaging policies

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.4-4mdk
- Rebuild

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.4-3mdk
- Rebuild, cleanup, %%check

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.4-2mdk
- rebuild for new perl

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.4-1mdk
- 5.4

* Thu Feb 12 2004 Luca Berra <bluca@vodka.it> 5.3-8mdk
- rebuild for perl 5.8.3

* Tue Dec 30 2003 Luca Berra <bluca@vodka.it> 5.3-7mdk
- add parent dirs (distriblint)

* Thu Dec 25 2003 Luca Berra <bluca@vodka.it> 5.3-6mdk
- changed requires syntax for perl-Bit-Vector
- fixed permissions on examples

* Wed Oct 15 2003 Luca Berra <bluca@vodka.it> 5.3-5mdk
- added examples to documentation

* Sun Oct 05 2003 Luca Berra <bluca@vodka.it> 5.3-4mdk
- removed Carp::Clam (provided in own package)

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.3-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-2mdk
- fix unpackaged files
- rebuild for new auto{prov,req}

